Update a Node Pool.
Use to update the details of a node pool by Universally Unique Identifier (UUID). Deprecated, please use PATCH /api/v1/node-pools/{id} instead.
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
clusterId
Unique identifier of the cluster
nodepoolId
The unique id identifying the Node Pool.
Request
This endpoint expects an object.
labelKey
key of node label for pool
labelValue
value of node label for pool
placementStrategy
overProvisioningRatioDeprecated
Response
Node Pool update accepted.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error